package net.minecraft.util;

public enum EnumHandSide {
    LEFT(new ChatComponentTranslation("options.mainHand.left", new Object[0])),
    RIGHT(new ChatComponentTranslation("options.mainHand.right", new Object[0]));

    private final IChatComponent handName;

    private EnumHandSide(IChatComponent nameIn) {
        this.handName = nameIn;
    }

    public EnumHandSide opposite() {
        return this == LEFT ? RIGHT : LEFT;
    }

    public String toString() {
        return this.handName.getUnformattedText();
    }
}
